Bug 1118267 - Review Request: aces_container - ACES Container Reference
Summary: Review Request: aces_container - ACES Container Reference
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 10:22 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-09-20 13:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-20 13:17:14 UTC
susi.lehtola: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2014-07-10 10:22:52 UTC
Spec URL: http://kwizart.fedorapeople.org/review/aces_container.spec
SRPM URL: http://kwizart.fedorapeople.org/review/aces_container-1.0-1.fc20.src.rpm
Description: ACES Container Reference
Fedora Account System Username: kwizart

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7123730

Comment 1 Nicolas Chauvet (kwizart) 2014-07-29 15:20:53 UTC
rpmlint only shows:
$ rpmlint -i ~/rpmbuild/RPMS/x86_64/aces_container*.rpm
aces_container-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Koji scratch build on rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7210178

This package is need in order to update CTL and OpenEXR_CTL to current version.

Comment 2 Volker Fröhlich 2014-08-08 16:45:32 UTC
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming suggests to use dashes instead of underscores, where possible.

Patches should follow the pattern %{name}-*.

Comment 3 Nicolas Chauvet (kwizart) 2014-08-09 17:08:00 UTC
Thx for looking into this review.

I will change the name for aces-container and add Provides: aces_container = v-r (same for devel).
That been said whereas using %{name} macro everywhere is fine, one must make the difference between the projet name and the package name. if there is a need for foo-compat package forked from earlier foo package, there is no reason to rename the patches from foo to foo-compat.

This is a thin difference, but that's also the difference between proper/improper usage of the %{name} macro.

So I admit to use the %{name} macro for a tarball name when possible provided that the package name change less often. But the way I generate patches with gendiff and c&p the resulting output to the spec file will requires an additional
step to change the name to the macro. I don't usually see the benefit for the aforementioned reason.

Are you fine with the rational? do you plan to take the review ?
Do you plan to do a formal review before for me to update the package ?

Thx again for looking into this.

Comment 4 Susi Lehtola 2014-08-24 02:53:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.

[!]: Package requires other packages for directories it uses.
- Need to Requires: cmake in -devel for %{_libdir}/cmake.

[!]: Package must own all directories that it creates.
- See above.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).

[x]: Package is named according to the Package Naming Guidelines.
- The name with the underscore is allowed per 
 https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators
relevant section:

"packages where the upstream name naturally contains an underscore are excluded from this"

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: aces_container-1.0-1.fc20.x86_64.rpm
          aces_container-devel-1.0-1.fc20.x86_64.rpm
          aces_container-1.0-1.fc20.src.rpm
aces_container.x86_64: W: spelling-error %description -l en_US keycode -> key code, key-code, cockeyed
aces_container-devel.x86_64: W: only-non-binary-in-usr-lib
aces_container-devel.x86_64: W: no-documentation
aces_container.src: W: spelling-error %description -l en_US keycode -> key code, key-code, cockeyed
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

These are OK.


Rpmlint (installed packages)
----------------------------
# rpmlint aces_container aces_container-devel
aces_container.x86_64: W: spelling-error %description -l en_US keycode -> key code, key-code, cockeyed
aces_container.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libAcesContainer.so.1.0.0 /lib64/libm.so.6
aces_container-devel.x86_64: W: only-non-binary-in-usr-lib
aces_container-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

As are these.

Requires
--------
aces_container (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

aces_container-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    aces_container(x86-64)
    libAcesContainer.so.1()(64bit)



Provides
--------
aces_container:
    aces_container
    aces_container(x86-64)
    libAcesContainer.so.1()(64bit)

aces_container-devel:
    aces_container-devel
    aces_container-devel(x86-64)
    pkgconfig(AcesContainer)



Source checksums
----------------
https://github.com/ampas/aces_container/archive/v1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9d310605ce15b03689b1e5b7b3cf735e236b4d11a78654018321ae593af69aba
  CHECKSUM(SHA256) upstream package : 9d310605ce15b03689b1e5b7b3cf735e236b4d11a78654018321ae593af69aba


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -r -n aces_container-1.0-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


***

Add the requires to the -devel. With this modification the package is

APPROVED

Comment 5 Nicolas Chauvet (kwizart) 2014-08-24 10:01:47 UTC
New Package SCM Request
=======================
Package Name: aces_container
Short Description: ACES Container Reference
Upstream URL: https://github.com/ampas/aces_container
Owners: kwizart
Branches: f21 f20 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-08-25 11:49:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.